.common_conditions: &common_conditions
  state: opened
  ruby: |
    can_add_default_group_and_stage?
.common_actions: &common_actions
  labels:
    - "group::ops"
    - "devops::production_engineering"

resource_rules:
  issues:
    rules:
      - name: Add ~"group::ops", ~"devops::production_engineering" to open issues
        conditions:
          <<: *common_conditions
        actions:
          <<: *common_actions

  merge_requests:
    rules:
      - name: Add ~"group::ops", ~"devops::production_engineering" to open merge requests
        conditions:
          <<: *common_conditions
        actions:
          <<: *common_actions
